Subject: Re: [PATCH v2] isdn: hfc_{pci,sx}: Avoid empty body if statements

From: Nathan Chancellor <[email-masked]>
Date: Thu, 18 Oct 2018 18:01:34 -0700

On Thu, Oct 18, 2018 at 05:50:58PM -0700, David Miller wrote:
> From: Nathan Chancellor <[email-masked]>
> Date: Thu, 18 Oct 2018 17:42:51 -0700
> 
> > On Thu, Oct 18, 2018 at 05:23:10PM -0700, David Miller wrote:
> >> From: Nathan Chancellor <[email-masked]>
> >> Date: Thu, 18 Oct 2018 17:21:17 -0700
> >> 
> >> > Thanks for the review, I went ahead and compiled with the following diff
> >> > on top of v2 and got no warnings from Clang, GCC, or sparse, does this
> >> > seem satisfactory for v3?
> >> 
> >> Well, one thing I notice.
> >> 
> > 
> >> > @@ -86,7 +86,7 @@ release_io_hfcpci(struct IsdnCardState *cs)
> >> >         pci_free_consistent(cs->hw.hfcpci.dev, 0x8000,
> >> >                             cs->hw.hfcpci.fifos, cs->hw.hfcpci.dma);
> >> >         cs->hw.hfcpci.fifos = NULL;
> >> > -       iounmap((void *)cs->hw.hfcpci.pci_io);
> >> > +       iounmap(cs->hw.hfcpci.pci_io);
> >> >  }
> >> 
> >> Driver uses iounmap().
> >> 
> >> > @@ -1692,7 +1692,7 @@ setup_hfcpci(struct IsdnCard *card)
> >> >                 printk(KERN_WARNING "HFC-PCI: No IRQ for PCI card found\n");
> >> >                 return (0);
> >> >         }
> >> > -       cs->hw.hfcpci.pci_io = (char *)(unsigned long)dev_hfcpci->resource[1].start;
> >> > +       cs->hw.hfcpci.pci_io = (void __iomem *)(unsigned long)dev_hfcpci->resource[1].start;
> >> >         printk(KERN_INFO "HiSax: HFC-PCI card manufacturer: %s card name: %s\n", id_list[i].vendor_name, id_list[i].card_name);
> >> 
> >> But does not use iomap().  You won't need any cast here if it did use
> >> iomap() properly.
> >> 
> >> Thanks.
> > 
> > So this?
> 
> That's definitely a lot better, yes!
> 
> I wonder what exactly it is checking there though.  I guess it wants to see if the
> resource->start value is zero and bail with an error it so.
> 
> Anyways, this code has been like this for ages and what you are proposing is
> definitely a significant improvement.
> 
> Thanks.

I was thinking the same thing. I think ioremap will still error out if
start is zero so this should be fine. I'll roll all of this up into v3,
thanks a lot for the review!

Nathan